{% extends 'base.html.twig' %}

{% block title %}Liste des utilisateurs{% endblock %}

 {% block body %}
     <div class="card">
         <!-- /.card-header -->
         <div class="card-body">
             <table id="example1" class="table table-bordered table-striped" style="text-align: center">
                 <thead>
                 <tr>
                     <th>Login</th>
                     <th>Livres Empruntés</th>
                     <th>Livres à emprunter</th>
                 </tr>
                 </thead>

                 <tbody>
                 {% for user in users %}
                     {% if (user.livres_empruntes|length > 0) or (user.livreToEmprunt|length > 0) %}
                        <tr>
                            <td style="width: 70px">{{ user.login }}</td>
                            <td style="width: 450px">
                                <table style="width: 450px">
                                    <tbody>
                                        {% for livre in user.livres_empruntes %}
                                            <tr>
                                                <td style="width: 1500px">
                                                {{ livre.titre }}
                                                </td>
                                                <td style="width: 70px">
                                                    {{ livre.isbn }}
                                                </td>
                                                <td>
                                                    <form method="post" action="{{ path('delete_livre_emprunte', {'id': user.id,
                                                        'livre': livre.id}) }}">
                                                        <input type="hidden" name="_token" value="{{ csrf_token(
                                                            'delete_livre_emprunte' ~ livre.id) }}">
                                                        <button class="btn btn-primary btn-block" style="padding: 3px; width: 130px;
                                                    background-color: #ff0000; border-color: #ff0000;">Retourner le Livre</button>
                                                    </form>
                                                </td>
                                            </tr>
                                        {% endfor %}
                                    </tbody>
                                </table>
                            </td>
                            <td style="">
                                 <table style="">
                                     <tbody>
                                     {% for livre in user.livreToEmprunt %}
                                         <tr>
                                             <td style="width: 1500px">
                                                 {{ livre.titre }}
                                             </td>
                                             <td style="width: 70px">
                                                 {{ livre.isbn }}
                                             </td>
                                             <td style="width: 50px">
                                                 {{ livre.nbExemplaires }}
                                             </td>
                                             <td>
                                                 <form method="post" action="{{ path('confirm_livre_emprunt_demand', {'id': user.id,
                                                     'livre': livre.id}) }}">
                                                     <input type="hidden" name="_token" value="{{ csrf_token(
                                                         'confirm_livre_emprunt_demand' ~ livre.id) }}">
                                                     <button class="btn btn-primary btn-block" style="padding: 3px;
                                                        background-color: #007bff; border-color: #007bff;">Confirmer</button>
                                                 </form>
                                             </td>
                                         </tr>
                                     {% endfor %}
                                     </tbody>
                                 </table>
                            </td>
                     {% endif %}
                 {% else %}
                     <tr>
                         <td colspan="6">Il n'y a aucun résultat</td>
                     </tr>
                 {% endfor %}
                 </tbody>
             </table>
         </div>
         <!-- /.card-body -->
     </div>
 {% endblock %}